package com.engine.kq.service;

import weaver.hrm.User;
import java.util.Map;

public interface KQGroupMemberService {

	/**
	 * 查询条件
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getSearchCondition(Map<String, Object> params, User user);

	
	/**
	 * 查询结果
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getSearchList(Map<String, Object> params, User user);

	/**
	 * 保存
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> save(Map<String, Object> params, User user);

	/**
	 * 删除
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> del(Map<String, Object> params, User user);

	/**
	 * 新建编辑表单
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getForm(Map<String, Object> params, User user);
}
